public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: www-apps/freshrss/, www-apps/freshrss/files/
@ 2024-11-19 10:42 Julien Roy
  2024-11-19 10:46 ` [gentoo-commits] repo/proj/guru:master " Julien Roy
  0 siblings, 1 reply; 2+ messages in thread
From: Julien Roy @ 2024-11-19 10:42 UTC (permalink / raw
  To: gentoo-commits

commit:     e30d010072cc11228dd4ef242c21a50e42dc3cc1
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Tue Nov 19 09:32:56 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Tue Nov 19 10:42:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e30d0100

www-apps/freshrss: add 1.24.3

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 www-apps/freshrss/Manifest                         |  1 +
 .../files/disable-network-tests-1.24.3.patch       | 31 ++++++++++++++
 www-apps/freshrss/freshrss-1.24.3.ebuild           | 48 ++++++++++++++++++++++
 3 files changed, 80 insertions(+)

diff --git a/www-apps/freshrss/Manifest b/www-apps/freshrss/Manifest
index f3cd5deae..6103a54f7 100644
--- a/www-apps/freshrss/Manifest
+++ b/www-apps/freshrss/Manifest
@@ -1,2 +1,3 @@
 DIST freshrss-1.23.1.gh.tar.gz 4321975 BLAKE2B 583fe3895b2d7b82d77c202bed985de46214affc3e35f022e64a818954667f10b4838f1c25854394b9896f834b21b0af1265f32936110329202bd7dfd275ced2 SHA512 df4c7eedf3dc8c5c9d0de722e00e3846d1bb1b1605d53a9415b5fd49715b91d6cf22f7f64503a706af32dc6f96415e28d772f7442816e76e266b4aa908984e95
 DIST freshrss-1.24.1.gh.tar.gz 4383585 BLAKE2B 9ad14320930fa4baae3edd3ec31add9ac0f66dda5cbc1997947595907df550d9363e3d87f0fcacdf06781e4be14070b78b66e04cbe8610cecca0d0185162724c SHA512 42edbfc22f7231fafea42d4c32fb285a4ec40132645c0ec1613abf5cbc8b4017e0ad1cb5eeaaefdda9077760f73999111ba9e15c1bff41dd7af411bcecca32c9
+DIST freshrss-1.24.3.gh.tar.gz 4403538 BLAKE2B f944f36256c59790938588491385b91de6a8af602bdb51731c7c76c816a4536855b7ed27a5595b4f825d2b7420a58feb17a0b7b8343b198bf8ae1a5ecb8705ba SHA512 757f37fd51d63b56735c54d7ee2a5bd76c8e55b8e4d6b16767b9f99581142dd11987eb4256b114ebb012bfba93acf3d9189ca4fa9c0fbf66bdd4048d12ea8bf6

diff --git a/www-apps/freshrss/files/disable-network-tests-1.24.3.patch b/www-apps/freshrss/files/disable-network-tests-1.24.3.patch
new file mode 100644
index 000000000..62becb99f
--- /dev/null
+++ b/www-apps/freshrss/files/disable-network-tests-1.24.3.patch
@@ -0,0 +1,31 @@
+diff --git a/Makefile b/Makefile
+index 15f259bf..4bf54ecf 100644
+--- a/Makefile
++++ b/Makefile
+@@ -70,10 +70,6 @@ lint: vendor/bin/phpcs ## Run the linter on the PHP files
+ lint-fix: vendor/bin/phpcbf ## Fix the errors detected by the linter
+ 	$(PHP) vendor/bin/phpcbf . -p -s
+ 
+-bin/composer:
+-	mkdir -p bin/
+-	wget 'https://raw.githubusercontent.com/composer/getcomposer.org/163a517dbb7eba0eb25633061c76e648392c6738/web/installer' -O - -q | php -- --quiet --install-dir='./bin/' --filename='composer'
+-
+ vendor/bin/phpunit: bin/composer
+ 	bin/composer install --prefer-dist --no-progress
+ 	ln -s ../vendor/bin/phpunit bin/phpunit
+@@ -86,15 +82,6 @@ vendor/bin/phpcbf: bin/composer
+ 	bin/composer install --prefer-dist --no-progress
+ 	ln -s ../vendor/bin/phpcbf bin/phpcbf
+ 
+-bin/typos:
+-	mkdir -p bin/
+-	cd bin ; \
+-	wget -q 'https://github.com/crate-ci/typos/releases/download/v1.23.1/typos-v1.23.1-x86_64-unknown-linux-musl.tar.gz' && \
+-	tar -xvf *.tar.gz './typos' && \
+-	chmod +x typos && \
+-	rm *.tar.gz ; \
+-	cd ..
+-
+ node_modules/.bin/eslint:
+ 	npm install
+ 

diff --git a/www-apps/freshrss/freshrss-1.24.3.ebuild b/www-apps/freshrss/freshrss-1.24.3.ebuild
new file mode 100644
index 000000000..869493dc8
--- /dev/null
+++ b/www-apps/freshrss/freshrss-1.24.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit webapp
+
+DESCRIPTION="A free, self-hostable news aggregator"
+HOMEPAGE="
+	https://freshrss.org/
+	https://github.com/FreshRSS/FreshRSS
+"
+SRC_URI="https://github.com/FreshRSS/FreshRSS/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/FreshRSS-${PV}"
+
+LICENSE="AGPL-3"
+KEYWORDS="~amd64"
+IUSE="mysql +postgres sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+RDEPEND="
+	dev-lang/php[ctype,curl,fileinfo,fpm,jit,mysql?,pdo,postgres?,sqlite?,unicode,xml,zip,zlib]
+	virtual/httpd-php
+"
+DEPEND="${RDEPEND}"
+
+need_httpd_fastcgi
+
+PATCHES=(
+	"${FILESDIR}"/disable-network-tests-1.24.3.patch
+)
+
+src_compile() {
+	:
+}
+
+src_install() {
+	webapp_src_preinst
+
+	insinto "${MY_HTDOCSDIR}"
+	doins -r .
+
+	webapp_serverowned "${MY_HTDOCSDIR}"/data
+	webapp_serverowned "${MY_HTDOCSDIR}"/data/{index.html,cache,favicons,fever,users,users/_,tokens}
+	webapp_serverowned "${MY_HTDOCSDIR}"/data/{cache,favicons,fever,users,users/_,tokens}/index.html
+
+	webapp_src_install
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-11-19 10:46 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-11-19 10:42 [gentoo-commits] repo/proj/guru:dev commit in: www-apps/freshrss/, www-apps/freshrss/files/ Julien Roy
2024-11-19 10:46 ` [gentoo-commits] repo/proj/guru:master " Julien Roy

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox